Subject: Re: bug#32002: 24.4; Scroll bar start, end not correct

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Jul 2018 05:36:38 +0300

> From: Mike Kupfer <[email-masked]>
> cc: [email-masked], Eli Zaretskii <[email-masked]>, [email-masked]
> Date: Wed, 04 Jul 2018 16:56:13 -0700
> 
> Steppers are the up and down arrows that appear at the top and bottom of
> the scrollbar.  You can see them in the attached screenshot.  They are
> only present in some themes, like Menta and Clearlooks-Phenix.  Notably,
> Adwaita (the default GTK3 theme) does not have steppers.
> 
> It's possible to do some CSS hacking to get steppers with Adwaita, but I
> believe the syntax depends on which version of GTK3 you're using.

What Emacs does is call

  (scroll-up +/-1)

for each input event that comes from the scroll bar's "steppers".  So
the only way I can explain why you see scrolling of more than 1 line
is that the GTK scroll bar sends more than one event.  Or maybe it
doesn't send the 'up and 'down parts in the event for some reason.
Stepping with Edebug through scroll-bar-toolkit-scroll should show
what's going on there.